# $Revision: 1.6.2.3 $, $Date: 2003/08/08 13:51:29 $
Summary:	Volume Compression (normalizer) for XMMS
Summary(pl):	Kompresja gonoci (normalizacja) dla XMMS
Name:		xmms-effect-compress
Version:	1.1
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://trikuare.cx/~magenta/projects/xmms-compress-%{version}.tar.gz
# Source0-md5:	4c2fb5fbad5207c48b948a0eb769e44b
URL:		http://trikuare.cx/~magenta/projects/xmms-compress.html
BuildRequires:	xmms-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --effect-plugin-dir)

%description
xmms-compress is a simple dynamic range compressor for XMMS.
Technically it's not really a compressor, but a volume normalizer, but
the end result is the same as having a compressor with a very long
attack and decay.

%description -l pl
xmms-compress jest prostym, dynamicznym kompresorem gonoci dla XMMS.
Formalnie nie jest prawdziwym kompresorem gonoci, a raczej
normalizatorem gonoci, ale efekt kocowy jest taki sam, jak dla
kompresora z bardzo dugim narastaniem i opadaniem.

%prep
%setup -q -n xmms-compress-%{version}

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags} -Wall `xmms-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

install -D libcompress.so \
	$RPM_BUILD_ROOT%{_xmms_plugin_dir}/libcompress.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog
%attr(755,root,root) %{_xmms_plugin_dir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-compress.spec,v $
Revision 1.6.2.3  2003/08/08 13:51:29  misi3k
- md5

Revision 1.6.2.2  2003/08/08 13:46:35  misi3k
- rel 3
- rebuild

Revision 1.6.2.1  2003/07/11 12:04:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6  2003/02/06 01:38:42  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.5  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.4  2002/08/10 20:02:16  rrw
- upgrade to 1.1 (quite critical bug);

Revision 1.3  2002/07/25 08:29:45  qboosh
- removed COPYING from doc (known - GPL) and empty lines from descriptions

Revision 1.2  2002/07/25 02:49:04  rrw
- compiles, works, even as advertised;
- release 1;
- STBR please;
- TANJ;

Revision 1.1  2002/07/25 02:28:24  rrw
- initial spec copied from xmms-effect-defx.spec;
